<template>
    <div class="col-12">
        <h2>Gestion des Absences</h2>
        <br>
        <router-link :to="{path:'new'}" append>
            <button class="btn btn-info float-right but">Nouvelle Absence</button>
        </router-link>
        <div class="clearfix"></div>
        <AbsenceList v-bind:users="users" v-bind:canEdit="true" v-bind:displayChecked="true" v-on:edit="edit"></AbsenceList>
    </div>
</template>

<script>
import AbsenceList from '@/components/shared/AbsenceList.vue';
export default {
    computed: {
        users() {
            // The AbsenceList Components renders a list of users
            // That's why we return our single user inside an array
            let ret = new Array();
            ret.push(this.$store.getters.getCurrentUser);
            return ret;
        }
    },
    components: {
        AbsenceList
    },
    methods: {
        edit(payload) {
            this.$router.push({ path: payload.absence + "/edit", append: true })
        }
    }
}
</script>

<style>

</style>
